Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001850KdenliveBuild Systempublic2010-10-19 18:522011-06-10 10:48
Reporterabs0 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSNetBSDOS Version5.1
Product Version0.7.8 
Target VersionFixed in Version0.8 
Summary0001850: Add support for NetBSD to build system
DescriptionA very simple patch to exclude jogshuttle similar to the apple/FreeBSD build
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0005988)
abs0 (reporter)
2010-10-19 18:55

Unable to attach patch as upload - pasting inline

# Add NetBSD support - just exclude jogshuttle similar to apple/FreeBSD

--- src/CMakeLists.txt.orig 2010-09-14 18:53:22.000000000 +0000
+++ src/CMakeLists.txt
@@ -224,11 +224,11 @@ add_subdirectory( ${CMAKE_SOURCE_DIR}/sr
 
 add_definitions( ${KDE4_DEFINITIONS} )
 
-if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
+if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
   add_definitions(-DNO_JOGSHUTTLE)
-else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
+else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
   set(kdenlive_SRCS jogshuttle.cpp ${kdenlive_SRCS})
-endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
+endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
 
 if (APPLE)
   set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
(0005996)
j-b-m (administrator)
2010-10-20 01:04

Patch applied (svn rev. 5025) , add comments if anything else is required.
(0006254)
xzhayon (developer)
2010-12-27 23:47

committed in rev. 5025

- Issue History
Date Modified Username Field Change
2010-10-19 18:52 abs0 New Issue
2010-10-19 18:55 abs0 Note Added: 0005988
2010-10-20 01:04 j-b-m Note Added: 0005996
2010-10-20 01:04 j-b-m Assigned To => j-b-m
2010-10-20 01:04 j-b-m Status new => feedback
2010-12-27 23:47 xzhayon Note Added: 0006254
2010-12-27 23:47 xzhayon Status feedback => resolved
2010-12-27 23:47 xzhayon Fixed in Version => Recent git
2010-12-27 23:47 xzhayon Resolution open => fixed
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:48 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker